Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.layout
Class FlowLayoutPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.layout.LayoutPresentationContext
                  com.bea.netuix.servlets.controls.layout.FlowLayoutPresentationContext

All Implemented Interfaces:
  Serializable

public class FlowLayoutPresentationContext
extends LayoutPresentationContext

Used to provide access to presentation-related attributes specific to the `FlowLayout` in use. Typically used during portal rendering via look and feel skeleton files (e.g. flowlayout.jsp).

See Also:
  `getFlowLayoutPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Method Summary
`static FlowLayoutPresentationContext` | `getFlowLayoutPresentationContext(HttpServletRequest request)` This is a convenience method for returning a reference to the one and only FlowLayoutPresentationContext.
`String` | `getOrientation()` Returns the text of the orientation attribute specified in the .layout file that corresponds to this `FlowLayout` portal component.
`boolean` | `isHorizontal()`
`boolean` | `isVertical()`

Methods inherited from class com.bea.netuix.servlets.controls.layout.LayoutPresentationContext
`getLayoutPresentationContext, getType`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOrientation

    public String getOrientation()

  Returns the text of the orientation attribute specified in the .layout file that corresponds to this `FlowLayout` portal component. Will be either `FlowLayout.ORIENT_HORIZONTAL` or `FlowLayout.ORIENT_VERTICAL`.

  Returns:
    The text of the orientation attribute as a String. If unspecified, `FlowLayout.ORIENT_VERTICAL` is returned.
  See Also:
    `FlowLayout.ORIENT_HORIZONTAL`, `FlowLayout.ORIENT_VERTICAL`

### isHorizontal

    public boolean isHorizontal()

  Returns:
    true if the orientation attribute is set to "horizontal"

### isVertical

    public boolean isVertical()

  Returns:
    true if the orientation attribute is set to "vertical"

### getFlowLayoutPresentationContext

    public static FlowLayoutPresentationContext getFlowLayoutPresentationContext(HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only FlowLayoutPresentationContext. Note this method will only work if called from within a portal (typically, from the flowlayout.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters:
    `request` - The current HTTPServletRequest instance
  Returns:
    A reference to the current FlowLayoutPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved